%define up_ver	0_9_12_2

Name:		scantailor
Version:	0.9.12.2
Release:	%mkrel 1
Summary:	Scan processing software
License:	GPLv3+ or LGPLv2.1
Group:		Graphics/Scanning
Url:		http://scantailor.org
# https://github.com/scantailor/scantailor/releases
Source0:	https://github.com/scantailor/scantailor/archive/RELEASE_%{up_ver}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.xml
Source3:	%{name}.1
Source4:	%{name}-cli.1
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(xrender)

%description
Scan Tailor is an interactive post-processing tool for scanned pages. It
performs operations such as page splitting, deskewing, adding/removing borders,
and others. You give it raw scans, and you get pages ready to be printed
or assembled into a PDF or DJVU file. Scanning, optical character recognition,
and assembling multi-page documents are out of scope of this project.

%prep
%setup -q -n %{name}-RELEASE_%{up_ver}

%build
%cmake_qt4 -DEXTRA_LIBS=Xrender

%make_build

%install
%make_install -C build

install -pm644 -D resources/appicon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -pm644 -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -pm644 -D %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -pm644 -D %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
install -pm644 -D %{SOURCE4} %{buildroot}%{_mandir}/man1/%{name}-cli.1

%files
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}*


%changelog
* Sat May 21 2016 daviddavid <daviddavid> 0.9.12.2-1.mga6
+ Revision: 1017273
- new version: 0.9.12.2
- update Source URL
- remove merged upstream patch

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - rebuild for new boost
    - respect CFLAGS and CXXFLAGS (and hence fix build)

* Wed Jan 07 2015 alexl <alexl> 0.9.11.1-6.mga5
+ Revision: 809160
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.9.11.1-5.mga5
+ Revision: 743702
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.11.1-4.mga5
+ Revision: 730114
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.11.1-3.mga5
+ Revision: 689048
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 alexl <alexl> 0.9.11.1-2.mga5
+ Revision: 662833
- translated desktop file
- changed Exec in desktop file
- added mime
- built with debug pkg
- fixed license with according Fedora
- added man pages from Debian
- built pkg with scantailor-cli
- used xrender
- used makeinstall_std macros instead of manual installation

* Fri Apr 18 2014 alexl <alexl> 0.9.11.1-1.mga5
+ Revision: 616211
- fix group
- imported package scantailor

